Package org.apache.sling.commons.fsclassloader

# Interface FSClassLoaderMBean

@ProviderType public interface FSClassLoaderMBean
MBean interface for interacting with the FSClassLoader

## Method Summary

Modifier and Type
Method
Description
`void`
`clearCache()`
Clears the cache of compiled scripts from the FSClassLoader
`int`
`getCachedScriptCount()`
Get the total count of scripts in the FSClassLoader cache
`List<String>`
`getCachedScripts()`
Gets the scripts in the FSClassLoaderCache
`String`
`getFSClassLoaderRoot()`
Gets the root directory at which the FSClassloader is creating it's cached files

## Method Details

### clearCache

void clearCache()
Clears the cache of compiled scripts from the FSClassLoader

### getFSClassLoaderRoot

String getFSClassLoaderRoot()
Gets the root directory at which the FSClassloader is creating it's cached files

Returns:
  the file system classloader root

### getCachedScriptCount

int getCachedScriptCount() throws IOException
Get the total count of scripts in the FSClassLoader cache

Returns:
  the total number of scripts
Throws:
  `IOException`

### getCachedScripts

List<String> getCachedScripts() throws IOException
Gets the scripts in the FSClassLoaderCache

Returns:
  the scripts from the FSClassLoaderCache
Throws:
  `IOException`